name='node-semver'
version='7.6.0'
release='1'
desc='The semantic version parser used by npm'
homepage='https://github.com/npm/node-semver'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('ISC')
provides=('node-semver')
conflicts=('node-semver')

deps=('nodejs')
build_deps=('npm')

sources=("https://registry.npmjs.org/node-semver/-/node-semver.tgz?~archive=false")
checksums=('SKIP')

prepare() {
    cd "${srcdir}"
    npm install -g --prefix "${pkgdir}"/usr ./node-semver-${version}.tgz
    chmod -R u=rwX,go=rX ${pkgdir}
    chown -R root:root ${pkgdir}
}
package() {
    install -d ${pkgdir}/usr/share/licenses/$node-semver
    ln -s ../../../lib/node_modules/node-semver/LICENSE ${pkgdir}/usr/share/licenses/node-semver/LICENSE
}
